Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IRhino3dm.Texture.MappingChannel

    java.lang.Object
      java.lang.Enum<IRhino3dm.Texture.MappingChannel>
          igeo.io.IRhino3dm.Texture.MappingChannel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IRhino3dm.Texture.MappingChannel>

Enclosing class:
  IRhino3dm.Texture

    public static enum IRhino3dm.Texture.MappingChannel

extends java.lang.Enum<IRhino3dm.Texture.MappingChannel>

Enum Constant Summary
`DefaultChannel`
`EMapChannel`
`SrfPChannel`
`TCChannel`

Method Summary
`static IRhino3dm.Texture.MappingChannel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IRhino3dm.Texture.MappingChannel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TCChannel

    public static final IRhino3dm.Texture.MappingChannel TCChannel

### DefaultChannel

    public static final IRhino3dm.Texture.MappingChannel DefaultChannel

### SrfPChannel

    public static final IRhino3dm.Texture.MappingChannel SrfPChannel

### EMapChannel

    public static final IRhino3dm.Texture.MappingChannel EMapChannel

Method Detail

### values

    public static final IRhino3dm.Texture.MappingChannel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IRhino3dm.Texture.MappingChannel c : IRhino3dm.Texture.MappingChannel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IRhino3dm.Texture.MappingChannel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD